Bug 470205 - vertical, unexpanded, autohidden panels stutter when unhiding if panel is flush against autohidden horizontal panel
vertical, unexpanded, autohidden panels stutter when unhiding if panel is flu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 04:20 EST by Nils Philippsen
Modified: 2009-12-18 01:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:45:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2008-11-06 04:20:10 EST
+++ This bug was initially created as a clone of Bug #468861 +++

[...]
--- Additional comment from mclasen@redhat.com on 2008-11-04 00:01:17 EDT ---

The fix for this is in gnome-panel-2.24.1-3.fc10

--- Additional comment from nphilipp@redhat.com on 2008-11-05 07:27:41 EDT ---

[...]
The new gnome-panel version fixes the panels bouncing all over the place problem, but there are two (related/new?) issues:

1) Now the vertical panels slide in view, then bounce a few pixels upward and downward again in fractions of a second (this can't be seen in this video, it's happening too fast for istanbul to catch).

2) Unexpanded panels don't change orientation from horizontal to vertical when moved around. As can be seen in this video, they only recognize being attached to top or bottom, not left or right. I imagine if the panel is made vertical first, then non-expanding it will behave analogously, i.e. only recognize being attached left or right, not top or bottom.

--- Additional comment from rstrode@redhat.com on 2008-11-05 10:29:38 EDT ---

I can't really reproduce 1).  So you have an unexpanded vertical panel that autohides, and each time you move your mouse to it, it stutters along the y axis a small amount? Or does this happen only when the panel first starts?  What vertical panel configurations do you see this issue with?

2) is an old issue and should be tracked separately (and probably won't get fixed for F10 GA)

--- Additional comment from nphilipp@redhat.com on 2008-11-05 11:47:07 EDT ---

(In reply to comment #7)
> I can't really reproduce 1).  So you have an unexpanded vertical panel that
> autohides, and each time you move your mouse to it, it stutters along the y
> axis a small amount?

Yes. Talking about an unexpanded autohiding vertical panel at the right edge, if it's touching the (expanded, autohiding) top or bottom panel it stutters a bit upward (if touching the bottom panel) or downward (if touching the top panel). If it doesn't touch any panels, there is no stutter.

> Or does this happen only when the panel first starts? 
> What vertical panel configurations do you see this issue with?

No real changes since this: https://bugzilla.redhat.com/show_bug.cgi?id=102632#c7

> 2) is an old issue and should be tracked separately (and probably won't get
> fixed for F10 GA)

That's no problem for me, as you can work around it.

--- Additional comment from rstrode@redhat.com on 2008-11-05 13:52:06 EDT ---

I definitely can't reproduce this, but maybe the timing is just right on my machine where i can't see it.

Anyway, mind filing it as a different bug?  The meat of this one is fixed and i'd like to get it closed.
Comment 1 Bug Zapper 2008-11-25 23:51:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:46:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 01:45:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.